var gulp = require('gulp');
var plugins = require('gulp-load-plugins')();
var elixir = require('laravel-elixir');
//var config = elixir.config;

gulp.task('stylus', function() {
    var onError = function(err) {
        plugins.notify.onError({
            title:    "Laravel Elixir",
            subtitle: "Stylus Compilation Failed!",
            message:  "Error: <%= error.message %>",
            icon: __dirname + '/../icons/fail.png'
        })(err);

        this.emit('end');
    };

    //return gulp.src(config.preprocessors.stylus.src)
    return gulp.src('resources/assets/stylus/**/*.styl')
        .pipe(plugins.stylus()).on('error', onError)
        .pipe(plugins.autoprefixer())
        .pipe(plugins.minifyCss())
        .pipe(gulp.dest('public/css'))
        .pipe(plugins.notify({
            title: 'Laravel Elixir',
            subtitle: 'Stylus Compiled!',
            icon: __dirname + '/../icons/laravel.png',
            message: ' '
        }));
});

elixir.extend('stylus');
